OKAMI NEWSREADER MANUAL PAGES

NAME
	DBF: O message database

DESCRIPTION
	DBF (data base functionality) is one of the two message databases
	offered by the O system. It is more sophisticated than the simple
	SMF database, thus it is faster and creates less disk space overhead,
	however messages that are in a DBF database can be accessed by O
	programs only.

	Principally, the DBF database is organized like the SMF database:
	there are messages, and they are accessed via an index file. The
	greatest difference is that, while in the SMF every message resides
	in a single file, a DBF requires only two files for all messages:
	the data base file (.dbf) that contains all message texts, and the
	data base index (.dbi) that contains a special access index for the
	.dbf file.

	The newsgroup index file (o.idx) is identical for both databases
	(SMF and DBF), except for a different database identification in
	the header, and for the location of the index file. In SMF, the
	index file is named o.idx and is in the newsgroup directory. In
	DBF, all files have the same name as the newsgroup directory and
	are identified by their extender:

		.idx	newsgroup index file
		.dbi	database index file
		.dbf	message data

	These three files make up a DBF database.
	The newsgroup directory is not used by the database.

	To delete a message from a DBF database, it is only marked as deleted;
	its space may then be re-used for new messages. See the manual page
	for oexpire for details.

EXAMPLE
	Base news directory: h:/news
	Newsgroup name: comp.sys.zx81

	The following files (and only these) make up the DBF database.

		h:/news/comp/sys/zx81			newsgroup directory
		h:/news/comp/sys/zx81.idx		newsgroup index
		h:/news/comp/sys/zx81.dbi		database index
		h:/news/comp/sys/zx81.dbf		database file

SEE ALSO
	- The manual page for oexpire.
	- The manual page for osmf2dbf.
	- The manual page for the SMF database.
	- The manual page for O data structures.

DATE
	Nov 19 1993

AUTHOR
	The DBF database was written by Helmut Karlowski @ DU2.
