OKAMI NEWSREADER MANUAL PAGES

NAME
	oexport: Usenet news and mail export program

SYNOPSIS
	oexport.ttp { options }

DESCRIPTION
	oexport reads all messages in the Outbound pseudo newsgroup and
	processes them as follows:
	1. if a message has the "killed" flag set, is is discarded.
	2. if a message has the "protected" flag set, it is ignored.
	3. if a message is marked for being sent via Usenet, it is
	moved from the Outbound pseudo newsgroup into the message queue
	of the UUCP software system from where it will be picked up
	and sent into the Net at the next UUCP poll.

	For every message being sent, oexport generates a Usenet header
	containing the following fields:

		To			[1] [6]
		Path			[2]
		Newsgroups		[2]
		Distribution		[2] [3]
		From
		Message-ID
		Subject
		Control			[4]
		Keywords		[3]
		Summary			[3]
		Follow-up To		[3]
		Reply-To		[3]
		References		[3]
		Cc			[3] [6]
		Organization		[3] [5]
		X-Software		[5]
		Date
		Mime-Version		[5]
		Content-Type		[5]
		Content-Transfer-Encoding [5]
		Lines

	[1] mail only
	[2] news only
	[3] only if not empty
	[4] only for automatically generated Control messages
	[5] fixed text
	[6] alias names are expanded

	If "Add Signature" is on for the message, a signature is constructed
	according to the signature configuration file named in o.inf (sigs.inf
	by default) and appended to the message, prefixed by a line consisting
	only of "-- ".
	Alias names are expanded according to the alias definition file, the
	name of which must be defined in o.inf.
	oexport creates two files in the message queue for each exported
	message, their names being An.X (the X file) and An.D (the D file),
	where n is a 7-digit decimal number that is alike on both files.
	The D file contains the message text (including the header), and
	the X file contains information about the message type (mail or
	news), its destination adress (for mail) and the name of the
	corresponding D file.

	Messages that were exported are removed from the Outbound pseudo
	newsgroup and have thus left the O system.

OPTIONS
	-h
		waits for key press after program termination
	-L n
		sets log level to n (-1 means no logging)
	-v
		prints version number only
	-F file
		uses `file' as o.inf configuration file
	-?
		Prints usage summary only.

ENVIRONMENT
	O_INF
		name of default o.inf file

FILES
	o.inf
	sigs.inf
	alias
	An.X
	An.D

SEE ALSO
	- The documentation of the signature configuration file (sigs.inf),
	  contained as a comment block in the file itself.
	- The documentation of the alias file, contained as a comment block
	  in the file itself.

DATE
	Nov 15 1993

AUTHOR
	Wolfram Rsler <wr@bara.oche.de>
